Loading...
Searching...
No Matches
Argument.h File Reference

Defines a type used for expressing the type signature of a generated halide pipeline. More...

`#include "Expr.h"`
`#include "Type.h"`
`#include "runtime/HalideRuntime.h"`

Go to the source code of this file.

## Classes

struct | Halide::ArgumentEstimates
struct | Halide::Argument
| A struct representing an argument to a halide-generated function. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Detailed Description

Defines a type used for expressing the type signature of a generated halide pipeline.

Definition in file Argument.h.